#include <stdio.h>
#include <stdlib.h>

int main()
{
    char c1,c2;
    scanf("%c%c",&c1,&c2);
    int a1,a2;
    int i,j;
    scanf("%d%d",&a1,&a2);
    if(abs(a1+a2)<=4)
    {
        for(i=0,j=0;i<a1,j<a2;i++,j++)
        {
            printf("%c%c",c1,c2);
        }
    }
    else{
        printf("nemoguce");
    }
}